DBusAuth Struct Reference
Authentication implementation details

Internal members of DBusAuth. More...

## Data Fields

int | refcount
| reference count
const char * | side
| Client or server.
DBusString | incoming
| Incoming data buffer.
DBusString | outgoing
| Outgoing data buffer.
const DBusAuthStateData * | state
| Current protocol state.
const DBusAuthMechanismHandler * | mech
| Current auth mechanism.
DBusString | identity
| Current identity we're authorizing as.
DBusCredentials * | credentials
| Credentials read from socket.
DBusCredentials * | authorized_identity
| Credentials that are authorized.
DBusCredentials * | desired_identity
| Identity client has requested.
DBusString | context
| Cookie scope.
DBusKeyring * | keyring
| Keyring for cookie mechanism. More...
int | cookie_id
| ID of cookie to use.
DBusString | challenge
| Challenge sent to client.
char ** | allowed_mechs
| Mechanisms we're allowed to use, or NULL if we can use any.
unsigned int | needed_memory: 1
| We needed memory to continue since last successful getting something done.
unsigned int | already_got_mechanisms: 1
| Client already got mech list.
unsigned int | already_asked_for_initial_response: 1
| Already sent a blank challenge to get an initial response.
unsigned int | buffer_outstanding: 1
| Buffer is "checked out" for reading data into.
unsigned int | unix_fd_possible: 1
| This side could do unix fd passing.
unsigned int | unix_fd_negotiated: 1
| Unix fd was successfully negotiated.

## Detailed Description

Internal members of DBusAuth.

Definition at line 153 of file dbus-auth.c.

## Field Documentation

DBusKeyring* DBusAuth::keyring

Keyring for cookie mechanism.

Definition at line 177 of file dbus-auth.c.

Referenced by _dbus_auth_unref().

The documentation for this struct was generated from the following file:

- dbus-auth.c